You are here

get-organization.json.twig in Apigee Edge 8

GET /v1/organizations/{org}

Response Code: 200

Variables:

  • org_name: The name of the org.
  • monetization_enabled: (string) "true"|"false" Whether monetizaiton is enabled.

File

tests/modules/apigee_mock_api_client/tests/response-templates/get-organization.json.twig
View source
  1. {#
  2. /**
  3. * @file
  4. * GET /v1/organizations/{org}
  5. *
  6. * Response Code: 200
  7. *
  8. * Variables:
  9. * - org_name: The name of the org.
  10. * - monetization_enabled: (string) "true"|"false" Whether monetizaiton is enabled.
  11. */
  12. #}
  13. {
  14. "createdAt": 946684800000,
  15. "createdBy": "user@example.com",
  16. "displayName": "{{ org_name|default('example') }}",
  17. "environments": [
  18. "prod",
  19. "dev",
  20. "test",
  21. "portal"
  22. ],
  23. "lastModifiedAt": 946684800000,
  24. "lastModifiedBy": "user@example.com",
  25. "name": "{{ org_name|default('example') }}",
  26. "properties": {
  27. "property": [
  28. {
  29. "name": "features.isSmbOrganization",
  30. "value": "false"
  31. },
  32. {
  33. "name": "features.isMonetizationEnabled",
  34. "value": "{{ monetization_enabled|default('false') }}"
  35. },
  36. {
  37. "name": "features.isConnectorsEnabled",
  38. "value": "true"
  39. },
  40. {
  41. "name": "features.isCpsEnabled",
  42. "value": "true"
  43. },
  44. {
  45. "name": "features.isEdgeFunctionsEnabled",
  46. "value": "true"
  47. },
  48. {
  49. "name": "features.isApiMonitoringEnabled",
  50. "value": "true"
  51. }
  52. ]
  53. },
  54. "type": "paid"
  55. }